# SourcePath: diffutils/20050116dev
Summary: File comparison utilities
Name: sony-target-dev-diffutils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-diffutils
Version: 2.8.1
Release: 12000001
License 	: GPL2

Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/diffutils
Source: diffutils-%{version}.tar.gz

Buildroot 	: %{_tmppath}/%{name}-root
Prefix	  	: %{sony_target_dir}

%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
The diff package provides the diff, diff3, sdiff, and cmp programs.

`diff' shows differences between two files, or each corresponding file
in two directories.  `cmp' shows the offsets and line numbers where
two files differ.  `cmp' can also show all the characters that
differ between the two files, side by side.  `diff3' shows differences
among three files.  `sdiff' merges two files interactively.

The set of differences produced by `diff' can be used to distribute
updates to text files (such as program source code) to other people.
This method is especially useful when the differences are small compared
to the complete files.  Given `diff' output, the `patch' program can
update, or "patch", a copy of the file.

%package -n %{pkgname}
Summary: File comparison utilities
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The diff package provides the diff, diff3, sdiff, and cmp programs.

`diff' shows differences between two files, or each corresponding file
in two directories.  `cmp' shows the offsets and line numbers where
two files differ.  `cmp' can also show all the characters that
differ between the two files, side by side.  `diff3' shows differences
among three files.  `sdiff' merges two files interactively.

The set of differences produced by `diff' can be used to distribute
updates to text files (such as program source code) to other people.
This method is especially useful when the differences are small compared
to the complete files.  Given `diff' output, the `patch' program can
update, or "patch", a copy of the file.

%prep
%setup -n diffutils-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure

make all | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall | tee -a build.log

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/cmp %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}/cmp

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_local_bin_dir}/cmp
%{sony_target_dir}%{sony_target_dev_bin_dir}/diff
%{sony_target_dir}%{sony_target_dev_bin_dir}/diff3
%{sony_target_dir}%{sony_target_dev_bin_dir}/sdiff

%changelog
* Thu Jun 15 2006 Sony Corporation
- change Install Location: cmp

* Mon Dec 13 2004 Sony Corporation - dev-diff
- Initial build.
